Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.renderer
Class StrokingTextPainter.TextRun

    java.lang.Object
      org.apache.batik.gvt.renderer.StrokingTextPainter.TextRun

Enclosing class:
  StrokingTextPainter

    public class StrokingTextPainter.TextRun

extends Object

Inner convenience class for associating a TextLayout for sub-spans, and the ACI which iterates over that subspan.

Field Summary
`protected AttributedCharacterIterator` | `aci`
`protected int` | `anchorType`
`protected boolean` | `firstRunInChunk`
`protected TextSpanLayout` | `layout`
`protected Float` | `length`
`protected Integer` | `lengthAdjust`

Constructor Summary
`StrokingTextPainter.TextRun(TextSpanLayout layout, AttributedCharacterIterator aci, boolean firstRunInChunk)`

Method Summary
`AttributedCharacterIterator` | `getACI()`
`int` | `getAnchorType()`
`TextSpanLayout` | `getLayout()`
`Float` | `getLength()`
`Integer` | `getLengthAdjust()`
`boolean` | `isFirstRunInChunk()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### aci

    protected AttributedCharacterIterator aci

### layout

    protected TextSpanLayout layout

### anchorType

    protected int anchorType

### firstRunInChunk

    protected boolean firstRunInChunk

### length

    protected Float length

### lengthAdjust

    protected Integer lengthAdjust

Constructor Detail

### StrokingTextPainter.TextRun

    public StrokingTextPainter.TextRun(TextSpanLayout layout,
                                       AttributedCharacterIterator aci,
                                       boolean firstRunInChunk)

Method Detail

### getACI

    public AttributedCharacterIterator getACI()

### getLayout

    public TextSpanLayout getLayout()

### getAnchorType

    public int getAnchorType()

### getLength

    public Float getLength()

### getLengthAdjust

    public Integer getLengthAdjust()

### isFirstRunInChunk

    public boolean isFirstRunInChunk()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.